<template>
  <svn-login-card>
    <template #box-header>
      <v-img
      :src="logo"
      class="mb-16 h-[32px] w-[140px] md:h-[61px] md:w-[269px]"
      />
    </template>

    <template #box-content>
      <div class="flex flex-col items-start w-full">
        <div class="flex flex-col items-start gap-6 w-full">
          <div class="flex flex-col items-center md:items-start justify-center gap-2 w-full">
            <p class="text-xl font-bold text-fakeBlack">
              Welcome on board !
            </p>

            <p class="text-sm font-medium text-darkGrey">
              Please enter your email.
            </p>
          </div>

          <v-text-field
            v-model="email"
            label="Email"
            class="w-full"
            type="text"
            variant="outlined"
            hide-details="false"
            @keyup.enter="checkMail"

          />
          <form>
            <input
              class="hidden"
              type="password"
            >
          </form>

          <v-btn
            :height="40"
            :loading="submitLoading"
            class="w-full normal-case"
            color="primary"
            theme="company"
            @click="checkMail"
          >
            Continue
          </v-btn>
        </div>

        <div class="flex items-center gap-4 w-full my-2">
          <v-divider
            :thickness="2"
            class="border-opacity-100"
            color="info"
          />
          <p class="text-xs font-normal">or</p>
          <v-divider
            :thickness="2"
            class="border-opacity-100"
            color="info"
          />
        </div>

        <google-login
          class="w-full hover:shadow border border-dark-grey rounded cursor-pointer"
        >
          <div
            class="w-full h-10 flex justify-center items-center gap-[10px] "
          >
            <Icon
              icon="logos:google-icon"
              height="18"
              width="18"
              class="mr-2"
            />
            <span
              class="normal-case"
            >
              Sign in with Google
            </span>
          </div>
        </google-login>
      </div>
    </template>
  </svn-login-card>
</template>

<script setup>
import SvnLoginCard from "@/components/login/SvnLoginCard.vue";
import {Icon} from "@iconify/vue";

const props = defineProps({
  logo: { type: Object, default: () => {} }
})

</script>
